Ginkgo: gko::preconditioner::Ic< LSolverTypeOrValueType, IndexType >::parameters_type Struct Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::preconditioner::Ic< LSolverTypeOrValueType, IndexType >::parameters_type Struct Reference
Inheritance diagram for gko::preconditioner::Ic< LSolverTypeOrValueType, IndexType >::parameters_type:
[legend]
Collaboration diagram for gko::preconditioner::Ic< LSolverTypeOrValueType, IndexType >::parameters_type:
[legend]

## Public Member Functions
parameters_type & | with_l_solver_factory (deferred_factory_parameter< const gko::detail::factory_type< l_solver_type > > solver)
parameters_type & | with_l_solver (deferred_factory_parameter< const gko::detail::factory_type< l_solver_type > > solver)
| When LSolverTypeOrValueType is a concrete solver type, this only accepts the factory from the same concrete solver type.
parameters_type & | with_factorization_factory (deferred_factory_parameter< const LinOpFactory > factorization)
parameters_type & | with_factorization (deferred_factory_parameter< const LinOpFactory > factorization)
Public Member Functions inherited from gko::enable_parameters_type< parameters_type, Factory >
parameters_type & | with_loggers (Args &&... _value)
| Provides the loggers to be added to the factory and its generated objects in a fluent interface.
std::unique_ptr< Factory > | on (std::shared_ptr< const Executor > exec) const
| Creates a new factory on the specified executor.

## Public Attributes
std::shared_ptr< const gko::detail::factory_type< l_solver_type > > | l_solver_factory {}
| Factory for the L solver.
std::shared_ptr< const LinOpFactory > | factorization_factory {}
| Factory for the factorization.

## Additional Inherited Members
Public Types inherited from gko::enable_parameters_type< parameters_type, Factory >
using | factory

## Member Function Documentation

## ◆ with_l_solver()

template<typename LSolverTypeOrValueType = solver::LowerTrs<>, typename IndexType = int32>

parameters_type & gko::preconditioner::Ic< LSolverTypeOrValueType, IndexType >::parameters_type::with_l_solver | ( | deferred_factory_parameter< const gko::detail::factory_type< l_solver_type > > | solver | ) |
| inline

When LSolverTypeOrValueType is a concrete solver type, this only accepts the factory from the same concrete solver type.

When LSolverTypeOrValueType is a value type, it accepts any LinOpFactory.

The documentation for this struct was generated from the following file:

- ginkgo/core/preconditioner/ic.hpp